# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(HTTP/Request.pm) perl(IO/Async/Loop.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Net/Async/HTTP/Server.pm) perl(Ref/Util.pm) perl(Struct/Dumb.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(URI.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define module_name Net-Prometheus
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt2
Summary: export monitoring metrics for F<prometheus>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides the ability for a program to collect monitoring metrics
and export them to the prometheus.io monitoring server.

As `prometheus' will expect to collect the metrics by making an HTTP request,
facilities are provided to yield a the PSGI manpage application that the containing
program can embed in its own structure to provide the results, or the
application can generate a plain-text result directly and serve them by its
own means.

%prep
%setup -q -n %{module_name}-%{version}

[ %version = 0.11 ] && rm -f t/41process-collector-linux.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
* Tue Dec 05 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt2
- rebuild with perl 5.38

* Tue Nov 23 2021 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

